
QGIS Application - Bug report #7603

Blending is applied to all symbol layers separately

2013-04-14 01:06 AM - Anita Graser

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16532

Description

The blending mode seems to be applied to the single symbol levels of my vector layer which messes up everything. It's imho impossible to

use symbols with multiple layers if the blending stays this way.

I'm attaching a project which shows the problematic behavior as well as a screenshot.

Associated revisions

Revision 51e5894b - 2013-04-17 11:10 PM - Nyall Dawson

Blend modes apply to whole layer, not individual objects (fix #7603)

History

#1 - 2013-04-14 01:46 AM - Giovanni Manghi

should not a new feature that does not work as expected be tagged as blocker? Cheers!

#2 - 2013-04-14 02:00 AM - Nyall Dawson

- Assignee set to neteler-itc-it -

Anita - can you let me know what if you have render caching enabled or disabled?

#3 - 2013-04-14 02:01 AM - Nyall Dawson

- Assignee deleted (neteler-itc-it -)

#4 - 2013-04-14 02:47 AM - Anita Graser

- Priority changed from High to Severe/Regression

I get correctly looking results if and only if render caching is enabled.

#5 - 2013-04-14 02:53 AM - Nyall Dawson

Ok. I can see what's happening here -- I'll start work on this now.
#6 - 2013-04-14 03:19 AM - Nyall Dawson

- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

#7 - 2013-04-16 03:30 PM - Nyall Dawson

- Status changed from In Progress to Feedback

Anita - can you please test with

https://github.com/nyalldawson/Quantum-GIS/commit/b10cabfa63f0a9ebdfeb92d168e2c159a7b26639

and let me know the results. In particular, I'd appreciate testing with the map in composer and exporting the composer to images.

I'm pretty sure this change should fix the issue, but extra testing would be nice!

#8 - 2013-04-17 12:22 PM - Anita Graser

Still broken in current nightly QGIS code revision 1570240. Will test again tomorrow.

#9 - 2013-04-17 02:13 PM - Nyall Dawson

- Status changed from Feedback to Closed

Fixed in changeset commit:"51e5894b587b71511544519916515b3d3c1f0b79".

#10 - 2013-04-17 02:30 PM - Nyall Dawson

Sorry Anita - I hadn't pushed that change to master yet. I've done that now (I'm confident this fixes the issue). We'll handle any other issues that popup in

separate bug reports.

Files

blendingbug.zip 211 KB 2013-04-13 Anita Graser

blendingbug.png 259 KB 2013-04-13 Anita Graser
